<?php
ob_start();
session_start();
include_once('class.evento.php');
include_once('class.se_casamento.php');
include_once('class.se_aniversario.php');
include_once('../class/class.mysql.php');
include_once('../include/utilitarios.php');
include_once('../class/class.email.php');
include_once('../empresa/class.empresa.php');
include_once('../cinegrafista/class.cinegrafista.php');
include_once('../fotografo/class.fotografo.php');
include_once('../salao_igreja/class.salao_igreja.php');
$id_empresa = $_SESSION["fild_id_empresa"];
$mysqlCom = new MysqlConnect();
extract($_POST);

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ERROR);


$Evento = new Evento();

if ($ax == 'WebSite') {
	$Evento->WebSiteDisponibilidade($senha);
}


if ($ax == 'LocalEvento') {
	$Evento->SelectLocal($id_evento);
	while ($row = mysqli_fetch_object($Evento->qry)) {
		$nome     = $row->nome;
		$id_salao_igreja = $row->id_salao_igreja;
	}

	if ($nome == '') {
		echo '<a href="Adicionar Local Evento " tipo="Evento" class="buttonPequeno btnLocalEvento">Adicionar Local Evento</a>';
	} else {
		echo '<input type="text" id="edtLocalEvento" id_salao_igreja="' . $id_salao_igreja . '" value="' . $nome . '" readonly size="50">
		  <button class="buttonPequeno btnDelLocalEvento" id_salao_igreja="' . $id_salao_igreja . '">Del</button>';
	}
}

if ($ax == 'InsertLocalEvento') {
	$Evento->InsertLocal($id_evento, $id_salao_igreja);
}

if ($ax == 'DeleteLocalEvento') {
	$Evento->DeleteLocal($id_evento, $id_salao_igreja);
}



if ($ax == 'LocalFesta') {
	$Evento->SelectFesta($id_evento);
	while ($row = mysqli_fetch_object($Evento->qry)) {
		$nome     = $row->nome;
		$id_salao_igreja = $row->id_salao_igreja;
	}


	if ($nome == '') {
		echo '<a href="Adicionar Local Festa" tipo="Festa" class="buttonPequeno btnLocalEvento">Adicionar Local Festa</a>';
	} else {
		echo '<input type="text" id="edtLocalFesta" id_salao_igreja="' . $id_salao_igreja . '" value="' . $nome . '" readonly size="50">
		  <button class="buttonPequeno btnDelLocalFesta" id_salao_igreja="' . $id_salao_igreja . '">Del</button>';
	}
}



if ($ax == 'InsertLocalFesta') {
	$Evento->InsertFesta($id_evento, $id_salao_igreja);
}

if ($ax == 'DeleteFesta') {
	$Evento->DeleteFesta($id_evento, $id_salao_igreja);
}

// função esclusiva pra email em Localização
function ListaEmail($id_evento)
{
	$EventoLoc = new Evento();
	$EventoLoc->SelectEmail($id_evento);
	while ($row = mysqli_fetch_object($EventoLoc->qry)) {
		$emails = $row->email . ' ' . $emails;
	}
	$EventoLoc->GerenciarLocalizador($id_evento, 2, $emails);
}

if ($ax == 'InsertEmail') {
	$Evento->InsertEmail($id_evento, $email);
	ListaEmail($id_evento);
}

if ($ax == 'DeletarEmail') {
	$Evento->DeleteEmail($id_evento_email);
	ListaEmail($id_evento);
}

if ($ax == 'AlterarEmail') {
	$Evento->AlterarEmail($email, $id_evento_email);
	ListaEmail($id_evento);
}


if ($ax == 'InsertFotografo') {
	$Evento->InsertFotografo($id_evento, $id_fotografo);
}

if ($ax == 'DeleteFotografo') {
	$Evento->DeleteFotografo($id_evento, $id_fotografo);
}


if ($ax == 'InsertCinegrafista') {
	$Evento->InsertCinegrafista($id_evento, $id_cinegrafista);
}

if ($ax == 'DeleteCinegrafista') {
	$Evento->DeleteCinegrafista($id_evento, $id_cinegrafista);
}

if ($ax == 'SalvarEvento') {
	$Destino = 0;
	//$edtValor = str_replace(',','.',str_replace('.','', $edtValor));
	$Evento->SalvarEvento($id_evento, $edtNome, $edtTelCelular,	$edtTelComercial, $edtTelResidencial, $edtWebSite, $edtObs, $edtHora, $edtWebSiteConfig);
	$bloco = $edtNome . ' ' . $edtDataEvento . ' ' . $edtTipoEvento . ' ' . $edtTelCelular . ' ' . $edtTelComercial . ' ' . $edtTelResidencial . ' ' . $edtWebSite . ' ' . $edtObs;


	if (isset($edtNoiva) or isset($edtNoivo)) {
		$SeCasamento = new SeCasamento();
		$SeCasamento->SeCasamentoUpdate($id_evento, $edtNoiva, $edtNoivo);
		$Destino = 1;
		$bloco = $bloco . ' ' . $edtNoiva . ' ' . $edtNoivo;
		$Evento->GerenciarLocalizador($id_evento, 0, RemoverAcentos($bloco));
	}


	if (isset($EdtAnive) or isset($EdtIdadeAnive) or isset($EdtTemaFesta)) {
		$SeAniversario = new SeAniversario();
		$SeAniversario->SeAniversarioUpdate($id_evento, $EdtAnive, $EdtIdadeAnive, $EdtTemaFesta);
		$Destino = 1;
		$bloco = $bloco . ' ' . $EdtAnive . ' ' . $EdtIdadeAnive . ' ' . $EdtTemaFesta;
		$Evento->GerenciarLocalizador($id_evento, 0, RemoverAcentos($bloco));
	}

	if ($Destino == 0)
		$Evento->GerenciarLocalizador($id_evento, 0, RemoverAcentos($bloco));
}

if ($ax == 'NovorEvento') {
	$dtNormal = $edtDataEvento;
	$edtDataEvento = DataInvertida($edtDataEvento);
	$id_evento_local = $Evento->NovoEvento($edtNome, $edtDataEvento, $edtHora, $edtTelefone, $stTipoEvento, $criador);
	echo $id_evento_local;
	$Evento->GerenciarLocalizador($id_evento_local, 0, $edtNome . ' ' . $dtNormal . ' ' . $edtTelefone);
}


if ($ax == 'AlterarWebSite') {
	$Evento->AlterarWebSite($novoWebSite, $velhoWebSite, $id_evento);
}

if ($ax == 'NaoQueroWebSite') {
	$Evento->NaoQueroWebSite($web_site_config, $id_evento);
}

if ($ax == 'SendEmailPrevia') {
	$Email = new Email();
	$EmpresaEvento = new Empresa();
	$EmpresaEvento->SelectEmpresa($id_empresa);


	$Evento->ConsultaProximaPrevia();
	while ($row = mysqli_fetch_object($Evento->qry)) {
		$CorpoEmailHTML  =
			'<table width="547" border="0" cellpadding="2" cellspacing="2">
				  <tr>
					<td colspan="2" align="center"><img src="http://www.vfoto.com.br/login/images/logo_vfoto.png" /><h2>Informção da Próxima Prévia</h2></td>
				  </tr>
				  <tr>
					<td width="156" align="right">Nome.:</td>
					<td width="377"><strong>' . $row->nome . '</strong></td>
				  </tr>
				  <tr>
					<td align="right">Data da Prévia.:</td>
					<td><strong>' . InverterData($row->data) . '</strong></td>
				  </tr>
				  <tr>
					<td align="right">Hora da Prévia.:</td>
					<td><strong>' . $row->hora . '</strong></td>
				  </tr>
				  <tr>
					<td align="right">Obs.:</td>
					<td><strong>' . $row->obs . '</strong></td>
				  </tr>
				  <tr>
					<td align="right">Fotografo.:</td>
					<td><strong>' . $row->fotografo . '</strong></td>
				  </tr>
				  <tr>
					<td align="right">Cinegrafista</td>
					<td><strong>' . $row->cinegrafista . '</strong></td>
				  </tr>
				  <tr>
					<td align="right">Local da Prévia</td>
					<td><strong>' . $row->LocalPrevia . '</strong></td>
				  </tr>
				</table>';

		if ($row->email_fot != '')
			$Email->SendEmail($row->email_fot, $EmpresaEvento->email, 'Próxima Prévia', $CorpoEmailHTML);

		if ($row->email_cin != '')
			$Email->SendEmail($row->email_cin, $EmpresaEvento->email, 'Próxima Prévia', $CorpoEmailHTML);

		$Evento->UpdateProximaPrevia($row->id_evento_previa);
	}
}

//função parada
if ($ax == 'SendEmailProximoEvento') {

	$Cinegrafista = new Cinegrafista();
	$Fotografo = new Fotografo();
	$SalaoIgreja = new SalaoIgreja();




	$Evento->ConsultaProximoEvento();
	while ($row = mysqli_fetch_lengths($Evento->qry)) {
		$id_evento   = $row->id_evento;
		$nome        = $row->nome;
		$data_evento = $row->data_evento;
		$hora        = $row->hora;
		$tipo_evento = $row->descricao;
		$id_empresa  = $row->id_empresa;

		$Evento->LocIDCinegrafista($id_evento, $id_empresa);
		while ($row = mysqli_fetch_object($Evento->qry)) {
		}
	}
}

if ($ax == 'xico') {
	function rc4($key, $str)
	{
		$s = array();
		for ($i = 0; $i < 256; $i++) {
			$s[$i] = $i;
		}
		$j = 0;
		for ($i = 0; $i < 256; $i++) {
			$j = ($j + $s[$i] + ord($key[$i % strlen($key)])) % 256;
			$x = $s[$i];
			$s[$i] = $s[$j];
			$s[$j] = $x;
		}
		$i = 0;
		$j = 0;
		$res = '';
		for ($y = 0; $y < strlen($str); $y++) {
			$i = ($i + 1) % 256;
			$j = ($j + $s[$i]) % 256;
			$x = $s[$i];
			$s[$i] = $s[$j];
			$s[$j] = $x;
			$res .= $str[$y] ^ chr($s[($s[$i] + $s[$j]) % 256]);
		}
		return $res;
	}

	echo rc4('franciscoAlvesDeSousa', $var);
}

if ($ax == 'MudarTipoEvento') {
	$Evento->MudarTipoEvento($id_tipo_evento, $id_evento);
	$Evento->InsertHistoricoTipoEvento($id_evento, $usuario, $tipo_evento_atual);
}

if ($ax == 'HistoricoTipoEvento') {
	$Evento->HistoricoTipoEvento($id_evento);
	while ($row = mysqli_fetch_object($Evento->qry)) {
		echo $row->tipo_evento . ' ' . InverterDataHora($row->data) . ' ' . $row->usuario . '<br />';
	}
}


if ($ax == 'AlterarDataEvento') {
	$dataNova = DataInvertida($dataNova);
	$dataAntiga = DataInvertida($dataAntiga);
	$Evento->AlterarDataEvento($id_evento, $dataAntiga, $dataNova, $usuario);
}


if ($ax == 'HistoricoData') {

	$Evento->SelectHistoricoData($id_evento);
	while ($row = mysqli_fetch_object($Evento->qry)) {
		echo 'Data Antiga ' . InverterData($row->data_antiga) . ' Data Nova ' . InverterData($row->data_nova) . ' ' . $row->usuario . '<br />';
	}
}


if ($ax == 'SelectCancelamento') {
	$Evento->SelectCancelamento($id_evento);
	while ($row = mysqli_fetch_object($Evento->qry)) {
		echo 'Evento Cancelado.: ' . InverterDataHora($row->data_hora) . ' Usuário.: ' . $row->usuario . '<br/>' .
			'obs.: ' . $row->obs . '<br/>';
	}
}
